/*
Theme Name: KT-Salaojat Child Theme
Template: hello-elementor
Version: 1.0
*/
.elementor-element * .elementor-button {
    padding: 17px 30px 17px 30px !important;
}

.ktsalaojat-form * {
	font-family: "Poppins", Sans-serif !important;
	font-weight: 500 !important;
}

.ktsalaojat-form * button {
	padding: 12px 30px !important;
	border-radius: 5px !important;	
	font-size: 16px !important;
}

		.lf-hero-image, .lf-hero-image img {
		  object-fit: cover;
		  position: absolute;
		  top: 0;
		  left: 0;
		  width: 100%;
		  height: 100%;
		  z-index: 0; 
		  transform: translate(-50%, -50%);
		  transform-origin: center center;  
		  z-index: 0;
		  top: 50%;
		  left: 50%;
		  filter: brightness(70%); 
		}

		.lf-hero-section {
			position: relative !important;
			overflow:hidden !important;
		}

.lf-hero-image img {
  object-fit: cover;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  z-index: 0;

  transform: translate(-50%, -50%) scale(1.2);
  transform-origin: center center;

  filter: brightness(70%) blur(7px);

  animation: heroZoom 1s ease-out forwards;
}

@keyframes heroZoom {
  from {
    transform: translate(-50%, -50%) scale(1.1);
    filter: brightness(70%) blur(7px);
  }

  to {
    transform: translate(-50%, -50%) scale(1);
    filter: brightness(70%) blur(0px);
  }
}



	@media (min-width: 768px) {
		.cky-consent-bar {
			position: fixed !important;
			top: 50% !important;
			left: 50% !important;
			transform: translate(-50%, -50%) !important;
			width: 1000px !important; /* Adjust as needed */
		}
		.cky-consent-container {
			position: fixed !important;
			background-color:rgba(0,0,0,0.3) !important;
			height: 100vh !important;
			width: 100vw !important;
			top:0 !important;
			left:0 !important;
		}
	}


/** POPUP */
	.lf-popup-clicking-area {
	  position: absolute;
	  left: 0;
	  right: 0;
	  top: 85%;
	  bottom: 0;
	  z-index: 999998;
	  cursor: pointer;
	}

	.lf-model-content {
	  position: relative;
	  width: 100%;
	  height: 100%;
	}

	#lf-popup-open-btn {
	  overflow: hidden;
	  user-select: none;
	  position: fixed;
	  bottom: 70px;
	  left: 20px;
	  transform: translateY(-50%) rotate(-90deg);
	  transform-origin: left center;
	  background-color: #a66621;
	  font-family: Poppins, sans-serif;
	  color: white;
	  padding: 10px 20px;
	  font-size: 16px;
	  cursor: pointer;
	  border-radius: 0 0 7px 7px;
	  box-shadow: -5px -5px 20px #00000040;
	  z-index: 999999;
	}

	#lf-model {
	  border-radius: 10px;
	  overflow: hidden;
	  box-shadow: 5px 5px 20px #00000040;
	  position: fixed;
	  top: 50%;
	  left: 50%;
	  transform: translate(-50%, -50%);
	  background: #ffffff;
	  width: min(
		  calc(100vw - 50px),
		  calc((100vh - 50px) * 9 / 16)
	  );
	  aspect-ratio: 9 / 16;
	  visibility: hidden;
	  opacity: 0;
	  transition: 0.4s ease;
	  z-index: 999997;
	}

	#lf-model.lf-active {
	  visibility: visible;
	  opacity: 1;
	}

	.lf-model-content img {
	  width: 100%;
	  height: 100%;
	  object-fit: cover;
	}

	#lf-close-popup-btn {
	  position: absolute;
	  font-size: 40px;
	  top: 10px;
	  right: 10px;
	  cursor: pointer;
	  z-index: 999999;
	  color: white;
	}

	@media (min-width: 768px) {
	  #lf-model {
		left: 20px;
		top: 50%;
		transform: translateY(-50%);
		height: auto;
		max-height: 70dvh;
		aspect-ratio: 9 / 16;
		width: calc(70dvh * 9 / 16);
	  }

	  .lf-model-content img {
		width: 100%;
		height: 100%;
		object-fit: cover;
	  }
	}